Retrieve lineage for specific pipeline in OpenLineage format
GET https://{controlplane_path}/api/1/rest/public/catalog/{env_org}/lineage/{pipeline_snode_id}Retrieve data lineage for a specific pipeline.
Retrieve data lineage for a specific pipeline that executed in this environment and the response contains JSON objects in the OpenLineage specification format. The results include historical changes such as when new Snaps were added.
Prerequisites
- Environment (Org) admin permissions
Path parameters
| Parameter | Description | Required |
|---|---|---|
controlplane_path |
The path to the SnapLogic control plane:
elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for
elastic. For example:
|
Yes |
env_org |
The name of the SnapLogic Environment/Org. | Yes |
pipeline_snode_id |
Returns lineage for the specified pipeline. To find the ID,
open a pipeline in Designer and copy the
pipe_snode value from the URL. You might
need to validate the pipeline before the pipeline contains the
value. |
Yes |
Query parameters
| Parameter | Description | Required |
|---|---|---|
start_ts |
An integer specifying the start time in milliseconds. | No |
end_ts |
An integer specifying the end time in milliseconds. | No |
page |
An integer specifying the page of results to return. | No |
format |
The value OPENLINEAGE returns results in
OpenLineage format. |
Yes |
Request header
Basic authentication
To use basic authentication, specify Basic for authorization in the request
header, add your credentials (email and password for your SnapLogic user or service account), and
specify application/json for content type. For example:
Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
Example of basic authentication using Postman:
Learn more about the basic authentication header in REST API requests.
JWT authentication
When using JWT authentication, the API request includes specific headers. In the request header,
specify Bearer Token for authorization, add the token, and specify
application/json for content type. These headers are automatically added when
you configure bearer token authentication in your API client. The authorization header contains
the word Bearer followed by a space and your JWT.
Authorization: Bearer Token {token}
Content-Type: application/json
Example of JWT authentication using Postman:
Response
Code 200 OK where: size: The number of lineage objects returned.page: The current page of results.content: Each JSON object contains the data lineage for a pipeline in the OpenLineage Object Model.
{
"size": 0,
"page": 0,
"content": [
json1, json2, json3
]
}
Example
Assuming a request as follows with an pipeline id of
68008b6abebfc6eb56f6d996 for an environment on the development elastic control
plane:
https://elastic.snaplogicdev.com/api/1/rest/public/catalog/DEV/lineage/68008b6abebfc6eb56f6d996?format=OPENLINEAGE"
{
"size": 14,
"page": 0,
"content": [
{
"eventTime": "2025-07-12T00:04:42.540Z",
"producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"schemaURL": "https://openlineage.io/spec/1-0-0/OpenLineage.json#/definitions/RunEvent",
"eventType": "COMPLETE",
"run": {
"runId": "131d34d4-f5ba-30c7-9ff4-ef580e57188a",
"facets": {
"parent": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"job": {
"namespace": "SnapLogic",
"name": "collibra-sftp-pattern"
},
"_schemaURL": "https://openlineage.io/spec/facets/1-0-0/ParentRunFacet.json",
"run": {
"runId": "093fb5fa-476f-4106-89cc-ee6e53c23efe"
}
}
}
},
"job": {
"namespace": "SnapLogic",
"name": "collibra-sftp-pattern:Save last time window:060157c8-d81d-4683-bdf6-6662389b9c8b"
},
"inputs": [],
"outputs": []
},
{
"eventTime": "2025-07-12T00:04:42.540Z",
"producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"schemaURL": "https://openlineage.io/spec/1-0-0/OpenLineage.json#/definitions/RunEvent",
"eventType": "COMPLETE",
"run": {
"runId": "d909110a-f102-3b54-aad2-c11836d25606",
"facets": {
"parent": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"job": {
"namespace": "SnapLogic",
"name": "collibra-sftp-pattern"
},
"_schemaURL": "https://openlineage.io/spec/facets/1-0-0/ParentRunFacet.json",
"run": {
"runId": "093fb5fa-476f-4106-89cc-ee6e53c23efe"
}
}
}
},
"job": {
"namespace": "SnapLogic",
"name": "collibra-sftp-pattern:Union:1b37aed0-749b-49ae-83aa-d18b737149a5"
},
"inputs": [],
"outputs": [
{
"namespace": "SnapLogic",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.Union:1b37a",
"facets": {
"schema": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"fields": [
{
"name": "start_ts",
"type": "VARCHAR",
"description": ""
}
],
"_schemaURL": "https://openlineage.io/spec/facets/1-0-0/SchemaDatasetFacet.json"
},
"columnLineage": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"fields": {
"start_ts": {
"inputFields": [],
"transformationType": "IDENTITY"
}
},
"_schemaURL": "https://openlineage.io/spec/facets/1-0-1/ColumnLineageDatasetFacet.json"
}
}
}
]
},
{
"eventTime": "2025-07-12T00:04:42.540Z",
"producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"schemaURL": "https://openlineage.io/spec/1-0-0/OpenLineage.json#/definitions/RunEvent",
"eventType": "COMPLETE",
"run": {
"runId": "80d82dc5-cb5c-3f5d-b93d-f2681df494be",
"facets": {
"parent": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"job": {
"namespace": "SnapLogic",
"name": "collibra-sftp-pattern"
},
"_schemaURL": "https://openlineage.io/spec/facets/1-0-0/ParentRunFacet.json",
"run": {
"runId": "093fb5fa-476f-4106-89cc-ee6e53c23efe"
}
}
}
},
"job": {
"namespace": "SnapLogic",
"name": "collibra-sftp-pattern:Send file over SFTP:530fc588-50c4-441e-a332-2433d62c35ec"
},
"inputs": [
{
"namespace": "SnapLogic",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.JSON Formatter:dfca5",
"facets": {
"schema": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"fields": [
{
"name": "eventTime",
"type": "VARCHAR",
"description": ""
},
{
"name": "eventType",
"type": "VARCHAR",
"description": ""
},
{
"name": "inputs",
"type": "VARCHAR",
"description": ""
},
{
"name": "job",
"type": "VARCHAR",
"description": ""
},
{
"name": "outputs",
"type": "VARCHAR",
"description": ""
},
{
"name": "producer",
"type": "VARCHAR",
"description": ""
},
{
"name": "run",
"type": "VARCHAR",
"description": ""
},
{
"name": "schemaURL",
"type": "VARCHAR",
"description": ""
}
],
"_schemaURL": "https://openlineage.io/spec/facets/1-0-0/SchemaDatasetFacet.json"
}
}
}
],
"outputs": [
{
"namespace": "SnapLogic",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.Send file over SFTP:530fc",
"facets": {
"schema": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"fields": [
{
"name": "original",
"type": "VARCHAR",
"description": ""
}
],
"_schemaURL": "https://openlineage.io/spec/facets/1-0-0/SchemaDatasetFacet.json"
},
"columnLineage": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"fields": {
"original": {
"inputFields": [
{
"field": "outputs",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.JSON Formatter:dfca5",
"namespace": "SnapLogic"
},
{
"field": "run",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.JSON Formatter:dfca5",
"namespace": "SnapLogic"
},
{
"field": "eventTime",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.JSON Formatter:dfca5",
"namespace": "SnapLogic"
},
{
"field": "job",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.JSON Formatter:dfca5",
"namespace": "SnapLogic"
},
{
"field": "producer",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.JSON Formatter:dfca5",
"namespace": "SnapLogic"
},
{
"field": "schemaURL",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.JSON Formatter:dfca5",
"namespace": "SnapLogic"
},
{
"field": "inputs",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.JSON Formatter:dfca5",
"namespace": "SnapLogic"
},
{
"field": "eventType",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.JSON Formatter:dfca5",
"namespace": "SnapLogic"
}
],
"transformationType": "IDENTITY",
"transformationDescription": "Mapping"
}
},
"_schemaURL": "https://openlineage.io/spec/facets/1-0-1/ColumnLineageDatasetFacet.json"
}
}
}
]
},
{
"eventTime": "2025-07-12T00:04:42.540Z",
"producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"schemaURL": "https://openlineage.io/spec/1-0-0/OpenLineage.json#/definitions/RunEvent",
"eventType": "COMPLETE",
"run": {
"runId": "3f2e6464-ed46-33bd-a107-8f1c546361d0",
"facets": {
"parent": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"job": {
"namespace": "SnapLogic",
"name": "collibra-sftp-pattern"
},
"_schemaURL": "https://openlineage.io/spec/facets/1-0-0/ParentRunFacet.json",
"run": {
"runId": "093fb5fa-476f-4106-89cc-ee6e53c23efe"
}
}
}
},
"job": {
"namespace": "SnapLogic",
"name": "collibra-sftp-pattern:Set time window:54a265d3-3ef9-4a07-8b4c-eeddc140ade6"
},
"inputs": [
{
"namespace": "SnapLogic",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.Union:1b37a",
"facets": {
"schema": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"fields": [
{
"name": "start_ts",
"type": "VARCHAR",
"description": ""
}
],
"_schemaURL": "https://openlineage.io/spec/facets/1-0-0/SchemaDatasetFacet.json"
}
}
}
],
"outputs": [
{
"namespace": "SnapLogic",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.Set time window:54a26",
"facets": {
"schema": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"fields": [
{
"name": "current_ts",
"type": "VARCHAR",
"description": ""
},
{
"name": "start_ts",
"type": "VARCHAR",
"description": ""
}
],
"_schemaURL": "https://openlineage.io/spec/facets/1-0-0/SchemaDatasetFacet.json"
},
"columnLineage": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"fields": {
"start_ts": {
"inputFields": [
{
"field": "start_ts",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.Union:1b37a",
"namespace": "SnapLogic"
}
],
"transformationType": "IDENTITY",
"transformationDescription": "Mapping"
},
"current_ts": {
"inputFields": [],
"transformationType": "IDENTITY"
}
},
"_schemaURL": "https://openlineage.io/spec/facets/1-0-1/ColumnLineageDatasetFacet.json"
}
}
}
]
},
{
"eventTime": "2025-07-12T00:04:42.540Z",
"producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"schemaURL": "https://openlineage.io/spec/1-0-0/OpenLineage.json#/definitions/RunEvent",
"eventType": "COMPLETE",
"run": {
"runId": "1e7fccea-3d1c-32d2-97c5-490a8523c620",
"facets": {
"parent": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"job": {
"namespace": "SnapLogic",
"name": "collibra-sftp-pattern"
},
"_schemaURL": "https://openlineage.io/spec/facets/1-0-0/ParentRunFacet.json",
"run": {
"runId": "093fb5fa-476f-4106-89cc-ee6e53c23efe"
}
}
}
},
"job": {
"namespace": "SnapLogic",
"name": "collibra-sftp-pattern:Read last time window:665693a2-71b9-4c1f-9a79-febd97c142aa"
},
"inputs": [],
"outputs": []
},
{
"eventTime": "2025-07-12T00:04:42.540Z",
"producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"schemaURL": "https://openlineage.io/spec/1-0-0/OpenLineage.json#/definitions/RunEvent",
"eventType": "COMPLETE",
"run": {
"runId": "3c0c1a35-5ab4-310f-bf97-0c1dd6341026",
"facets": {
"parent": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"job": {
"namespace": "SnapLogic",
"name": "collibra-sftp-pattern"
},
"_schemaURL": "https://openlineage.io/spec/facets/1-0-0/ParentRunFacet.json",
"run": {
"runId": "093fb5fa-476f-4106-89cc-ee6e53c23efe"
}
}
}
},
"job": {
"namespace": "SnapLogic",
"name": "collibra-sftp-pattern:Get Lineage Pages:6d0f9330-9eca-4578-8cc9-d2f9201a7b88"
},
"inputs": [
{
"namespace": "SnapLogic",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.Copy:d7203",
"facets": {
"schema": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"fields": [
{
"name": "current_ts",
"type": "VARCHAR",
"description": ""
},
{
"name": "start_ts",
"type": "VARCHAR",
"description": ""
}
],
"_schemaURL": "https://openlineage.io/spec/facets/1-0-0/SchemaDatasetFacet.json"
}
}
}
],
"outputs": [
{
"namespace": "SnapLogic",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.Get Lineage Pages:6d0f9",
"facets": {
"schema": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"fields": [
{
"name": "original",
"type": "VARCHAR",
"description": ""
}
],
"_schemaURL": "https://openlineage.io/spec/facets/1-0-0/SchemaDatasetFacet.json"
},
"columnLineage": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"fields": {
"original": {
"inputFields": [
{
"field": "current_ts",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.Copy:d7203",
"namespace": "SnapLogic"
},
{
"field": "start_ts",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.Copy:d7203",
"namespace": "SnapLogic"
}
],
"transformationType": "IDENTITY",
"transformationDescription": "Mapping"
}
},
"_schemaURL": "https://openlineage.io/spec/facets/1-0-1/ColumnLineageDatasetFacet.json"
}
}
}
]
},
{
"eventTime": "2025-07-12T00:04:42.540Z",
"producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"schemaURL": "https://openlineage.io/spec/1-0-0/OpenLineage.json#/definitions/RunEvent",
"eventType": "COMPLETE",
"run": {
"runId": "db4ed248-c8b7-3daa-b265-f8f9b50f1244",
"facets": {
"parent": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"job": {
"namespace": "SnapLogic",
"name": "collibra-sftp-pattern"
},
"_schemaURL": "https://openlineage.io/spec/facets/1-0-0/ParentRunFacet.json",
"run": {
"runId": "093fb5fa-476f-4106-89cc-ee6e53c23efe"
}
}
}
},
"job": {
"namespace": "SnapLogic",
"name": "collibra-sftp-pattern:CSV Formatter:7b559093-2af9-47b9-8fec-24200d6b209e"
},
"inputs": [],
"outputs": []
},
{
"eventTime": "2025-07-12T00:04:42.540Z",
"producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"schemaURL": "https://openlineage.io/spec/1-0-0/OpenLineage.json#/definitions/RunEvent",
"eventType": "COMPLETE",
"run": {
"runId": "ef84ceb9-1c82-3efe-bfa4-f465162dfdd1",
"facets": {
"parent": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"job": {
"namespace": "SnapLogic",
"name": "collibra-sftp-pattern"
},
"_schemaURL": "https://openlineage.io/spec/facets/1-0-0/ParentRunFacet.json",
"run": {
"runId": "093fb5fa-476f-4106-89cc-ee6e53c23efe"
}
}
}
},
"job": {
"namespace": "SnapLogic",
"name": "collibra-sftp-pattern:Split by event:9ac1a49e-18d8-4162-8e6d-eb7025c556de"
},
"inputs": [],
"outputs": [
{
"namespace": "SnapLogic",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.Split by event:9ac1a",
"facets": {
"schema": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"fields": [
{
"name": "eventTime",
"type": "VARCHAR",
"description": ""
},
{
"name": "eventType",
"type": "VARCHAR",
"description": ""
},
{
"name": "inputs",
"type": "VARCHAR",
"description": ""
},
{
"name": "job",
"type": "VARCHAR",
"description": ""
},
{
"name": "outputs",
"type": "VARCHAR",
"description": ""
},
{
"name": "producer",
"type": "VARCHAR",
"description": ""
},
{
"name": "run",
"type": "VARCHAR",
"description": ""
},
{
"name": "schemaURL",
"type": "VARCHAR",
"description": ""
}
],
"_schemaURL": "https://openlineage.io/spec/facets/1-0-0/SchemaDatasetFacet.json"
},
"columnLineage": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"fields": {
"outputs": {
"inputFields": [],
"transformationType": "IDENTITY"
},
"inputs": {
"inputFields": [],
"transformationType": "IDENTITY"
},
"eventTime": {
"inputFields": [],
"transformationType": "IDENTITY"
},
"producer": {
"inputFields": [],
"transformationType": "IDENTITY"
},
"run": {
"inputFields": [],
"transformationType": "IDENTITY"
},
"eventType": {
"inputFields": [],
"transformationType": "IDENTITY"
},
"job": {
"inputFields": [],
"transformationType": "IDENTITY"
},
"schemaURL": {
"inputFields": [],
"transformationType": "IDENTITY"
}
},
"_schemaURL": "https://openlineage.io/spec/facets/1-0-1/ColumnLineageDatasetFacet.json"
}
}
}
]
},
{
"eventTime": "2025-07-12T00:04:42.540Z",
"producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"schemaURL": "https://openlineage.io/spec/1-0-0/OpenLineage.json#/definitions/RunEvent",
"eventType": "COMPLETE",
"run": {
"runId": "2ecad59c-fb17-3e70-a35e-c64c328cf632",
"facets": {
"parent": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"job": {
"namespace": "SnapLogic",
"name": "collibra-sftp-pattern"
},
"_schemaURL": "https://openlineage.io/spec/facets/1-0-0/ParentRunFacet.json",
"run": {
"runId": "093fb5fa-476f-4106-89cc-ee6e53c23efe"
}
}
}
},
"job": {
"namespace": "SnapLogic",
"name": "collibra-sftp-pattern:CSV Parser:9e6f6368-df50-4663-b472-c4ec1e77be39"
},
"inputs": [],
"outputs": []
},
{
"eventTime": "2025-07-12T00:04:42.540Z",
"producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"schemaURL": "https://openlineage.io/spec/1-0-0/OpenLineage.json#/definitions/RunEvent",
"eventType": "COMPLETE",
"run": {
"runId": "bb9dc1c9-69ed-3bf4-9cdd-b838535d201e",
"facets": {
"parent": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"job": {
"namespace": "SnapLogic",
"name": "collibra-sftp-pattern"
},
"_schemaURL": "https://openlineage.io/spec/facets/1-0-0/ParentRunFacet.json",
"run": {
"runId": "093fb5fa-476f-4106-89cc-ee6e53c23efe"
}
}
}
},
"job": {
"namespace": "SnapLogic",
"name": "collibra-sftp-pattern:Default values:b6b136ca-b1a6-4fb1-943a-4286679ec70c"
},
"inputs": [],
"outputs": []
},
{
"eventTime": "2025-07-12T00:04:42.540Z",
"producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"schemaURL": "https://openlineage.io/spec/1-0-0/OpenLineage.json#/definitions/RunEvent",
"eventType": "COMPLETE",
"run": {
"runId": "5cf037f8-2a6d-389c-b170-4a592a5aeb38",
"facets": {
"parent": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"job": {
"namespace": "SnapLogic",
"name": "collibra-sftp-pattern"
},
"_schemaURL": "https://openlineage.io/spec/facets/1-0-0/ParentRunFacet.json",
"run": {
"runId": "093fb5fa-476f-4106-89cc-ee6e53c23efe"
}
}
}
},
"job": {
"namespace": "SnapLogic",
"name": "collibra-sftp-pattern:Copy:d7203eb5-0210-4838-b0f0-956df64490bb"
},
"inputs": [
{
"namespace": "SnapLogic",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.Set time window:54a26",
"facets": {
"schema": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"fields": [
{
"name": "current_ts",
"type": "VARCHAR",
"description": ""
},
{
"name": "start_ts",
"type": "VARCHAR",
"description": ""
}
],
"_schemaURL": "https://openlineage.io/spec/facets/1-0-0/SchemaDatasetFacet.json"
}
}
}
],
"outputs": [
{
"namespace": "SnapLogic",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.Copy:d7203",
"facets": {
"schema": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"fields": [
{
"name": "current_ts",
"type": "VARCHAR",
"description": ""
},
{
"name": "start_ts",
"type": "VARCHAR",
"description": ""
}
],
"_schemaURL": "https://openlineage.io/spec/facets/1-0-0/SchemaDatasetFacet.json"
},
"columnLineage": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"fields": {
"start_ts": {
"inputFields": [
{
"field": "start_ts",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.Set time window:54a26",
"namespace": "SnapLogic"
}
],
"transformationType": "IDENTITY",
"transformationDescription": "Mapping"
},
"current_ts": {
"inputFields": [
{
"field": "current_ts",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.Set time window:54a26",
"namespace": "SnapLogic"
}
],
"transformationType": "IDENTITY",
"transformationDescription": "Mapping"
}
},
"_schemaURL": "https://openlineage.io/spec/facets/1-0-1/ColumnLineageDatasetFacet.json"
}
}
}
]
},
{
"eventTime": "2025-07-12T00:04:42.540Z",
"producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"schemaURL": "https://openlineage.io/spec/1-0-0/OpenLineage.json#/definitions/RunEvent",
"eventType": "COMPLETE",
"run": {
"runId": "802a64ae-0e7c-3de9-8400-eb46095afe49",
"facets": {
"parent": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"job": {
"namespace": "SnapLogic",
"name": "collibra-sftp-pattern"
},
"_schemaURL": "https://openlineage.io/spec/facets/1-0-0/ParentRunFacet.json",
"run": {
"runId": "093fb5fa-476f-4106-89cc-ee6e53c23efe"
}
}
}
},
"job": {
"namespace": "SnapLogic",
"name": "collibra-sftp-pattern:JSON Formatter:dfca50b4-6400-48eb-8edc-9a87e8a46cf6"
},
"inputs": [
{
"namespace": "SnapLogic",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.Split by event:9ac1a",
"facets": {
"schema": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"fields": [
{
"name": "eventTime",
"type": "VARCHAR",
"description": ""
},
{
"name": "eventType",
"type": "VARCHAR",
"description": ""
},
{
"name": "inputs",
"type": "VARCHAR",
"description": ""
},
{
"name": "job",
"type": "VARCHAR",
"description": ""
},
{
"name": "outputs",
"type": "VARCHAR",
"description": ""
},
{
"name": "producer",
"type": "VARCHAR",
"description": ""
},
{
"name": "run",
"type": "VARCHAR",
"description": ""
},
{
"name": "schemaURL",
"type": "VARCHAR",
"description": ""
}
],
"_schemaURL": "https://openlineage.io/spec/facets/1-0-0/SchemaDatasetFacet.json"
}
}
}
],
"outputs": [
{
"namespace": "SnapLogic",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.JSON Formatter:dfca5",
"facets": {
"schema": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"fields": [
{
"name": "eventTime",
"type": "VARCHAR",
"description": ""
},
{
"name": "eventType",
"type": "VARCHAR",
"description": ""
},
{
"name": "inputs",
"type": "VARCHAR",
"description": ""
},
{
"name": "job",
"type": "VARCHAR",
"description": ""
},
{
"name": "outputs",
"type": "VARCHAR",
"description": ""
},
{
"name": "producer",
"type": "VARCHAR",
"description": ""
},
{
"name": "run",
"type": "VARCHAR",
"description": ""
},
{
"name": "schemaURL",
"type": "VARCHAR",
"description": ""
}
],
"_schemaURL": "https://openlineage.io/spec/facets/1-0-0/SchemaDatasetFacet.json"
},
"columnLineage": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"fields": {
"outputs": {
"inputFields": [
{
"field": "outputs",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.Split by event:9ac1a",
"namespace": "SnapLogic"
}
],
"transformationType": "IDENTITY",
"transformationDescription": "Mapping"
},
"inputs": {
"inputFields": [
{
"field": "inputs",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.Split by event:9ac1a",
"namespace": "SnapLogic"
}
],
"transformationType": "IDENTITY",
"transformationDescription": "Mapping"
},
"eventTime": {
"inputFields": [
{
"field": "eventTime",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.Split by event:9ac1a",
"namespace": "SnapLogic"
}
],
"transformationType": "IDENTITY",
"transformationDescription": "Mapping"
},
"producer": {
"inputFields": [
{
"field": "producer",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.Split by event:9ac1a",
"namespace": "SnapLogic"
}
],
"transformationType": "IDENTITY",
"transformationDescription": "Mapping"
},
"run": {
"inputFields": [
{
"field": "run",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.Split by event:9ac1a",
"namespace": "SnapLogic"
}
],
"transformationType": "IDENTITY",
"transformationDescription": "Mapping"
},
"eventType": {
"inputFields": [
{
"field": "eventType",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.Split by event:9ac1a",
"namespace": "SnapLogic"
}
],
"transformationType": "IDENTITY",
"transformationDescription": "Mapping"
},
"job": {
"inputFields": [
{
"field": "job",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.Split by event:9ac1a",
"namespace": "SnapLogic"
}
],
"transformationType": "IDENTITY",
"transformationDescription": "Mapping"
},
"schemaURL": {
"inputFields": [
{
"field": "schemaURL",
"name": "VIRTUAL_DB.VIRTUAL_SCHEMA.Split by event:9ac1a",
"namespace": "SnapLogic"
}
],
"transformationType": "IDENTITY",
"transformationDescription": "Mapping"
}
},
"_schemaURL": "https://openlineage.io/spec/facets/1-0-1/ColumnLineageDatasetFacet.json"
}
}
}
]
},
{
"eventTime": "2025-07-12T00:04:42.540Z",
"producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"schemaURL": "https://openlineage.io/spec/1-0-0/OpenLineage.json#/definitions/RunEvent",
"eventType": "COMPLETE",
"run": {
"runId": "8da0d267-1b0e-3528-9ffe-c5dedd3e7926",
"facets": {
"parent": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"job": {
"namespace": "SnapLogic",
"name": "collibra-sftp-pattern"
},
"_schemaURL": "https://openlineage.io/spec/facets/1-0-0/ParentRunFacet.json",
"run": {
"runId": "093fb5fa-476f-4106-89cc-ee6e53c23efe"
}
}
}
},
"job": {
"namespace": "SnapLogic",
"name": "collibra-sftp-pattern:Update last time window:e9ff6601-ff02-46f4-97c7-b8f3d9958cde"
},
"inputs": [],
"outputs": []
},
{
"eventTime": "2025-07-12T00:04:42.540Z",
"producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"schemaURL": "https://openlineage.io/spec/1-0-0/OpenLineage.json#/definitions/RunEvent",
"eventType": "COMPLETE",
"run": {
"runId": "180ff1a6-bfb1-3f76-bf27-71372ca48dda",
"facets": {
"parent": {
"_producer": "https://elastic.snaplogicdev.com/sl/designer.html?#pipe_snode=68008b6abebfc6eb56f6d996",
"job": {
"namespace": "SnapLogic",
"name": "collibra-sftp-pattern"
},
"_schemaURL": "https://openlineage.io/spec/facets/1-0-0/ParentRunFacet.json",
"run": {
"runId": "093fb5fa-476f-4106-89cc-ee6e53c23efe"
}
}
}
},
"job": {
"namespace": "SnapLogic",
"name": "collibra-sftp-pattern:Await completion:fe793a9b-9d0f-4b8f-b058-e27c85dd5fdc"
},
"inputs": [],
"outputs": []
}
]
}